# Delete a recipient

### URI

&#x20;<mark style="color:red;background-color:red;">**DELETE**</mark>&#x20;

```
https://api.tryduplo.com/v1/recipients/:business_id/:recipient_ref?expand=true
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Path Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Bussiness ID</td></tr><tr><td><strong>recipient _ref</strong><br><code>string</code> </td><td>Recipient reference</td></tr></tbody></table>

#### Query Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>expand</strong><br><code>boolean</code> </td><td>Expand the recipient details</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request DELETE 'https://api.tryduplo.com/v1/recipients/7e7e0728-74a7-41ce-8a05-310e3e2eba4c/rec_W24rwr3r3rwew3?expand=true'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');

var config = {
  method: 'delete',
  url: 'https://api.tryduplo.com/v1/recipients/7e7728-74a7-41ce-8a05-310e3e2eba4c/rec_W24rr3r3rwew3?expand=true',
  headers: { }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.tryduplo.com/v1/recipients/7e0728-74a7-41ce-8a05-310e3e2eba4c/rec_4rwr3r3rwew3?expand=true',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'DELETE',
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
    "data": {},
    "errors": {},
    "message": "Request successful"
}
```
